require 'pstore'
class TokenStorage
  attr_reader :ptoken

  def initialize
    @ptoken = PStore.new('token_store.pstore')
  end

  def save(link_token, jwt_token)
    ptoken.transaction do |s|
      s[link_token] = jwt_token
    end
    return true
  rescue 
    return false
  end

  def load(token)
    data = nil
    read_only = true
    ptoken.transaction(read_only) do |s|
      return nil if s[token].nil?
      data = s[token]
    end
    data
  end
end
